Revoke a delegation
curl --request POST \
--url https://{host}/v1/delegations/{delegationId}/revoke \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--header 'X-Ambient-Actor: <api-key>' \
--header 'X-Ambient-Timestamp: <api-key>' \
--data '
{
"commandId": "<string>",
"principalId": "<string>"
}
'import requests
url = "https://{host}/v1/delegations/{delegationId}/revoke"
payload = {
"commandId": "<string>",
"principalId": "<string>"
}
headers = {
"X-Ambient-Actor": "<api-key>",
"X-Ambient-Timestamp": "<api-key>",
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Ambient-Actor': '<api-key>',
'X-Ambient-Timestamp': '<api-key>',
Authorization: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({commandId: '<string>', principalId: '<string>'})
};
fetch('https://{host}/v1/delegations/{delegationId}/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"principalId": "<string>",
"actorId": "<string>",
"scopes": [
"market:create"
],
"validFrom": "2023-11-07T05:31:56Z",
"validUntil": "2023-11-07T05:31:56Z",
"revokedAt": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "invalid_request",
"message": "<string>"
}
}{
"error": {
"code": "unauthenticated",
"message": "request authentication failed"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>"
}
}Delegations
Revoke a delegation
Revokes a delegation owned by the authenticated self-representing principal.
POST
/
v1
/
delegations
/
{delegationId}
/
revoke
Revoke a delegation
Authorizations
AmbientActor & AmbientTimestamp & AmbientSignatureAmbientBearer
Provisioned actor identifier.
Current Unix timestamp in seconds, within the configured clock-skew window.
Ambient-HMAC followed by a space and the unpadded base64url HMAC-SHA256 signature. See Authentication and authority for the canonical input.
Path Parameters
Client-selected delegation identifier.
Minimum string length:
1Body
application/json
Response
Delegation revoked or an identical command replayed.
Available options:
market:create, market:publish, market:claim, market:bid, commitment:confirm, commitment:decline, credential:issue